\ifafive
  \documentclass[10pt,final,openright,a5paper]{memoir}
  %\usepackage[a5paper,hcentering,bindingoffset=0.5cm,left=1.5cm,right=1.5cm, bottom=2cm]{geometry} 
  % Comment sp952 (10.04.2019):  According to KSP it is recommend to increase the bindingoffset to 0.8 cm when having about 200 pages in A5.
  %						      Use the following command, if you would like to determine whether text or figures exceed the page margins	
  %\usepackage[a5paper,hcentering,bindingoffset=0.8cm,left=1.5cm,right=1.5cm, bottom=2cm,showframe]{geometry} 
\else
  \documentclass[11pt,final,openright,a4paper]{memoir}
  \usepackage[a4paper,hcentering,bindingoffset=1cm,bottom=4cm]{geometry}
\fi

\expandafter\def\csname ver@l3sort.sty\endcsname{} %bugfix for l3sort 17.02.17 Wachter

\usepackage{calc}
\usepackage[T1]{fontenc}

\ifenglish
     \usepackage[english]{babel}
\else
     \usepackage[ngerman]{babel}
\fi

\ifapa
  \usepackage[square]{natbib}
  \renewcommand{\cite}{\citep}
\else
  \usepackage[numbers,sort&compress]{natbib}
\fi
\usepackage{titlesec, blindtext, color}
\newcommand{\hsp}{\hspace{20pt}}

\usepackage[pdftex,hidelinks]{hyperref}
\usepackage{amssymb}
\usepackage{placeins}
\usepackage{marvosym} % \EUR for the euro sign €
\usepackage{xcolor}


% Colored tables
\usepackage{colortbl}	
\definecolor{lightGray}{rgb}{0.95,0.95,0.95}
\definecolor{lightBlue}{rgb}{0.76,0.92,1}
\definecolor{lightGreen}{cmyk}{0.8,0,1,0}
\definecolor{lightYellow}{rgb}{0.99,0.99,0.81}
\definecolor{darkWhite}{rgb}{0.99,0.99,0.95}
\definecolor{kitgreen}{rgb}{0,0.589,0.510} %[0,150,130]

%---------------%
\renewcommand{\vec}{\mathbf}

\usepackage{palatino}
\usepackage{amsmath}
\usepackage{avant}
\usepackage{microtype}
\usepackage[font=footnotesize,labelfont=bf]{caption}   % A5: 8pt, A4: 9pt
\usepackage{graphicx}
\graphicspath{{Graphics/}}
\usepackage{pdfsync}
\usepackage{float}
\usepackage[hyperref,only-used]{acro} % acronym package does not support capitalization (Edited on 29.06.20)
\usepackage[chapter]{algorithm}
\usepackage{algpseudocode}
\usepackage{multirow}
\usepackage{rotating}
\usepackage{etoolbox}
\usepackage{mathptmx}
\usepackage{listings}
\usepackage[all]{nowidow}
\usepackage{pdfpages}
\usepackage{afterpage}
\usepackage{tcolorbox}

\DeclareRobustCommand{\doi}[1]{\href{https://dx.doi.org/#1}{\nolinkurl{doi:#1}}}
\DeclareRobustCommand{\arxiv}[1]{\href{https://arxiv.org/abs/#1}{\nolinkurl{arXiv:#1}}}


\captionsize{\large}
\usepackage[default]{lato}
\captionsetup[algorithm]{font=footnotesize}
% table with sans serif font
\makeatletter
\renewenvironment{table}{%
 \everymath{\mathsf{\xdef\mysf{\mathgroup\the\mathgroup\relax}}\mysf}
 % \renewcommand{\familydefault}{\sfdefault}\selectfon							
 \@float{table}%
 }{\end@float}
 \algrenewcommand\ALG@beginalgorithmic{\small}
\makeatother

\setsecheadstyle{\LARGE\bfseries}

\makeatletter 
\def\@emptyField{}
\makeatother

\newcommand{\checkemptyrightmark}[1]{
    \ifthenelse
        {\equal{#1}{\@emptyField{}}}
        {\leftmark{}}
        {\rightmark}
}

% consistent start of headline words 1.3cm from the text indent as required by KSP
\titleformat{\section}[hang]
    {\LARGE\sffamily\bfseries\raggedright}
    {\makebox[1.4cm][l]{\thesection}} 
    {0pt}
    {}
\titleformat{\subsection}[hang]
    {\Large\sffamily\bfseries\raggedright}
    {\makebox[1.4cm][l]{\thesubsection}}
    {0pt}
    {}
\titleformat{\subsubsection}[hang]
    {\normalsize\sffamily\bfseries\raggedright}
    {\makebox[1.4cm][l]{\thesubsubsection}}
    {0pt}
    {}

% INconsistent start of headline words which looks better
%\titleformat{\section}[hang]
%    {\LARGE\sffamily\bfseries\raggedright}
%    {{\thesection}} 
%    {7pt}
%    {}
%\titleformat{\subsection}[hang]
%    {\Large\sffamily\bfseries\raggedright}
%    {{\thesubsection}}
%    {7pt}
%    {}
%\titleformat{\subsubsection}[hang]
%    {\normalsize\sffamily\bfseries\raggedright}
%    {{\thesubsubsection}}
%    {7pt}
%    {}

%
% font size of equation number
\makeatletter
\def\maketag@@@#1{\hbox{\m@th\normalfont\footnotesize#1}}
\makeatother

% space after Figure/Table
\setlength{\textfloatsep}{1.75\baselineskip plus 1pt minus 1pt}
\setlength{\floatsep}{1.75\baselineskip plus 1pt minus 1pt}			% Set space between different float figures
\setlength{\intextsep}{1.75\baselineskip plus 1pt minus 1pt}		% Set space around floats in text

% space between Figure caption and Figure
\captionsetup[figure]{skip=1.1\baselineskip}					

% space between Table caption and table
\captionsetup[table]{skip=1.1\baselineskip}

% space between equation and text
\setlength{\belowdisplayskip}{2.0\baselineskip plus 0pt minus 0pt}
\setlength{\abovedisplayskip}{2.0\baselineskip plus 0pt minus 0pt}

% space around headings
\titlespacing*{\section}{0ex}{3.5ex plus 0ex minus 0ex}{3.5ex plus 0ex minus 0ex}
\titlespacing*{\subsection}{0ex}{3.25ex plus 0ex minus 0ex}{3.25ex plus 0ex minus 0ex}
\titlespacing*{\subsubsection}{0ex}{3.25ex plus 0ex minus 0ex}{3.25ex plus 0ex minus 0ex}

% table font size
\AtBeginEnvironment{tabular}{\footnotesize}
\newcommand{\clearemptydoublepage}{\newpage{\thispagestyle{empty}\cleardoublepage}}

% TOC
\renewcommand{\cftsectionfont}{\normalfont\rmfamily} % font
\renewcommand{\cftsectionpagefont}{\normalfont\rmfamily} % font
\renewcommand{\cftchapterdotsep}{\cftdotsep} % dots between chapter names and page numbers
\renewcommand{\cftsubsectionfont}{\normalfont\rmfamily} % font
\renewcommand{\cftsubsectionpagefont}{\normalfont\rmfamily} % font

% tables of figures and tables
\renewcommand{\cftfigurefont}{\normalfont\rmfamily} 
\renewcommand{\cfttablefont}{\normalfont\rmfamily}
\renewcommand{\cftfigurepagefont}{\normalfont\rmfamily} 
\renewcommand{\cfttablepagefont}{\normalfont\rmfamily} 
\renewcommand{\cftfiguredotsep}{\cftdotsep} 
\renewcommand{\cfttabledotsep}{\cftdotsep} 

% Layout of parts in TOC
\newlength{\spt}
\newlength{\smm}
\setlength{\spt}{0.00132559188\paperheight}
\setlength{\smm}{0.003367\paperheight}

 \setlength{\cftbeforepartskip}{0\spt}
 \makeatletter
 \g@addto@macro{\cftpartbreak}{\hskip -\parindent\hrulefill\par}
 \makeatother
 \renewcommand{\cftpartafterpnum}{\par\vspace{-1.5ex}\hskip -\memRTLleftskip\hrulefill}

 
% Part page
\titleclass{\part}{top} 
\titleformat{\part}
[display]
{\centering\normalfont\Large}
{\titlerule[1\spt]\vspace{3\spt}\MakeUppercase{\partname} \thepart}
{0\spt}
{\titlerule[1\spt]\vspace{4pc}\HUGE\MakeUppercase}
\titlespacing*{\part}{0\spt}{0\spt}{20pt}
\assignpagestyle{\part}{empty}

\let\footruleskip\undefined

% page headers and footers
\usepackage{fancyhdr}
\fancyhf{}
\ifafive
  \fancyhead[LE]{\rmfamily\footnotesize\nouppercase{\leftmark}}
  \fancyfoot[LE]{\rmfamily\normalsize\thepage}
  \fancyfoot[OR]{\rmfamily\normalsize\thepage}
  \fancyhead[RO]{\rmfamily\footnotesize\nouppercase{\checkemptyrightmark{\rightmark{}}}}
  % style applied to first page of chapter 
  \fancypagestyle{plain}{%
   \renewcommand{\headrulewidth}{0pt}%
   \fancyhf{}%
   \fancyfoot[LE]{\rmfamily\normalsize\thepage}
   \fancyfoot[OR]{\rmfamily\normalsize\thepage}  
  }
\else
  \fancyhead[LE]{\rmfamily\normalsize\thepage}
  \fancyhead[RE]{\rmfamily\normalsize\nouppercase{\leftmark}}
  \fancyhead[LO]{\rmfamily\normalsize\nouppercase{\checkemptyrightmark{\rightmark{}}}}
  \fancyhead[RO]{\rmfamily\normalsize\thepage}
   % style applied to first page of chapter 
  \fancypagestyle{plain}{%
   \renewcommand{\headrulewidth}{0pt}%
   \fancyhf{}%
   \fancyfoot[C]{\rmfamily\normalsize\thepage}
  }

\fi
\renewcommand{\headrulewidth}{0.3\spt}

% Some eye-candy for itemize environments
\usepackage{enumitem}
\setlist[itemize]{noitemsep} % no space between items
\setlist{nolistsep,after=\vspace{\baselineskip}} % space before and after list

\ifapa
  \bibliographystyle{Template/natdinIBT}        % APA style in alphabetical order
\else
  \ifenglish
    \bibliographystyle{Template/IEEEtran}           % IEEE style, English Version
  \else
    \bibliographystyle{Template/IEEEtranGerman}     % IEEE style, German Version
  \fi
\fi

% Serif footnotes
\usepackage[hang,flushmargin]{footmisc}
\renewcommand{\footnotelayout}{\small\rmfamily}
\renewcommand{\thefootnote}{\rmfamily\arabic{footnote}}


% Set chapter heading for references / bibliography
\addto{\captionsenglish}{\renewcommand{\bibname}{References}}

\linespread{1.1}
\setlength{\topskip}{0.01\topskip} % Force first line at vertical height
\sloppybottom
\raggedbottom 

% Inclusion of user defined packages
%------- Todo Notes -------
\usepackage[colorinlistoftodos]{todonotes} % https://www.ctan.org/pkg/todonotes
%uncomment for final version
%\usepackage[disable]{todonotes}

\setlength{\marginparwidth}{1cm}
%------- ---------- -------
\usepackage{subfig} 	    							% enables the use of subfloat 
\usepackage{trfsigns}							% Laplace operator sign

\hyphenation{Hilfs-mittel}  % to avoid weird hyphenation when using the German statutory
                            % declaration in an otherwise English document
